/*-----------------------------------------------------------------------
Nom du fichier: RB_2_2_0.h
Auteur: Philippe MARIANO

Projet: PPE Robot suiveur de ligne
Rle: fichier d'en-tte du fichier RB_2_2_0.c
Cr le: 21/12/2010
Dernire rvision le: 22/02/2011 

Cross compilateur utilis: CodeVisionAVR V2
Composant cible : ATMEL 8 bits sur carte "Robot SISI"

Remarque: Ce fichier est destin  un projet CVAVR utilisant la carte SISI
Il doit tre plac dans le rpertoire du projet 
------------------------------------------------------------------------*/

#ifndef _RB220_INCLUDED_
#define _RB220_INCLUDED_

//============================================================================================================
// INFORMATIONS et DECLARATIONS pour la compilation conditionnelle dans RB_2_2_0.c et RB_ELEVE.c
//------------------------------------------------------------------------------------------------------------
// Les paramtres  rgler avant de compiler sont:
// - 1 La position de la carte "Capteur ligne" (Choix: CONNECTEURAR ou CONNECTEURAV)    
// - 2 La gestion de l'arrt devant la cible (Choix: AVEC_ARRET ou SANS_ARRET)
// - 3 La slection des fonctions FS11, FS12 et FS13 comme solution PROF ou lve
//    (Choix: FONCTIONPROF ou FONCTIONELEVE) 
//------------------------------------------------------------------------------------------------------------
// 1) Position de la carte "Capteur ligne"
// ----------------------------------------------------------------------------------------------------------- 
// La position de la carte "Capteur Ligne" sur le robot conditionne les valeurs  attribuer aux constantes dans 
// l'numration "Etat_Position_Robot" (voir fichier RB_ELEVE.h)
// Le cas ou le connecteur 12 broches est orient vers l'avant du robot est slectionn par CONNECTEURAV 
// Le cas ou le connecteur 12 broches est orient vers l'arrire du robot est slectionn par CONNECTEURAR
#define CONNECTEURAV 	0
#define CONNECTEURAR	1
//------------------------------------------------------------------------------------------------------------
// 2) Gestion de l'arrt devant la cible 
// -----------------------------------------------------------------------------------------------------------
#define SANS_ARRET		0
#define AVEC_ARRET		1 
//------------------------------------------------------------------------------------------------------------
// 3) Slection des solutions "PROF" ou "ELEVE" pour les fonctions FS11, FS12 et FS13
// -----------------------------------------------------------------------------------------------------------
// La construction du programme "Elve" s'effectuant par tape, ce paramtre permet principalement de tester
// les fonctions "Elve" (FS11: "Calculer la position du robot par rapport  la ligne" et 
// FS13 "Choisir la valeur  afficher sur les LEDs") avec la solution "Prof" de FS12: "Choisir les valeurs 
// des rapports cycliques" puis d'intgrer la solution "Elve" de FS12. Cependant, toutes les combinaisons
// sont possibles 
#define SOLUTIONPROF            0
#define SOLUTIONELEVE           1
//============================================================================================================
//============================================================================================================
//------------------------------------------------------------------------------------------------------------
// !!!!!!!!!!!!!!!!!!! IMPORTANT : PARAMETRAGE de la COMPILATION CI-DESSOUS !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! 
//------------------------------------------------------------------------------------------------------------
//============================================================================================================
// Choisir ici la position de la carte "Capteur ligne" : CONNECTEURAR ou CONNECTEURAV
#define POSITIONCONNECTEUR            CONNECTEURAR
//------------------------------------------------------------------------------------------------------------        
// Choisir ici l'arrt devant la cible: AVEC_ARRET ou SANS_ARRET 
#define PARCOURS_ROBOT                AVEC_ARRET
//------------------------------------------------------------------------------------------------------------
// Slectionner ici les solutions des fonctions  compiler
#define FS11    SOLUTIONPROF
#define FS12    SOLUTIONPROF
#define FS13    SOLUTIONPROF
//============================================================================================================
// Constante externe : dclare dans RB_ELEVE.c et utilise par RB_x_x_x.c si FS12 = SOLUTIONELEVE
extern const unsigned char Table_Calcul_OCR1x[21][2];
//============================================================================================================ 

#endif
